Changes to layer property dialog for unique value renderer.

2007-02-11 05:25 PM - Jeremy Palmer

Status: Closed

Priority: Low

Assignee: nobody -

Category: Symbology

Affected QGIS version: Regression?: No

Operating System: Debian Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10639

Description

This is a follow on from ticket 399. Currently when using the layer property dialog with POSTGIS layers, the user may experience large

application hangs when using the unique value renderer methodology (as maybe others). For a user friendly experience the classification

field listbox should not be automatically populated in all cases. Instead one of the following would be acceptable:

1) The user is warned that a query is about take place and that it might take some time.

2) Same as above but only if the layer feature count is above some thresh hold value

3) The listbox is not populated at all, and the user has to select the classification field then click a populate button to fill the listbox. 1) and

2) might still apply in this case.

History

#1 - 2007-07-04 12:53 AM - Marco Hugentobler

- Resolution set to fixed

- Status changed from Open to Closed

In svn 0.9, possibility 3) is implemented

#2 - 2009-08-22 12:45 AM - Anonymous

Milestone Version 0.9 deleted
